commit:     af64345e43ecb41ca124f9a6dbad403f6af61705
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  8 07:03:16 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jul  8 07:40:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af64345e

dev-python/debugpy: add 1.6.2

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/debugpy/Manifest             |  1 +
 dev-python/debugpy/debugpy-1.6.2.ebuild | 43 +++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/debugpy/Manifest b/dev-python/debugpy/Manifest
index 77220b73cb2a..87a753125cef 100644
--- a/dev-python/debugpy/Manifest
+++ b/dev-python/debugpy/Manifest
@@ -1,3 +1,4 @@
 DIST debugpy-1.5.1.gh.tar.gz 6675322 BLAKE2B 
a8e3a07d5dbd1b5ca39301e703b279514653606f98743a396693738c9a89403c73a6b6942e5dc368dd89eb8b74277e1808f9247573f330e3a94596c26af7e5be
 SHA512 
93ee526ca7cb3d44b85106a33d8f930f4f2b307eb26ede3ab6b5653de986a101b10f545f5de12cd8ee6ff9e9a12c5e4b57c4c40b1b3003c2f555676bd34482ce
 DIST debugpy-1.6.0.gh.tar.gz 6366079 BLAKE2B 
134d2adcae6ec926dcdb7161f0874b830a1d0e3c55abb991f4861fa5a58045437ee4f4cb4c9572b902e3e33634bc3f9970ae055985b983d89d0ef1d99561bda8
 SHA512 
fe245d4ff751a6c2ef0e75a5249f99661b78075ac62c931c20e3ccbc9389d39a08dc2fda44a33eb23a0a76e5ee339edae439b0004d130cdfe421048f3cc83962
 DIST debugpy-1.6.1.gh.tar.gz 6684941 BLAKE2B 
113ad9670cb9c80a28670be22265e110e5857d7093438db6ea531719de012a66c53ed9914c859c17f3bb5e03b88b11317173d261c9327e5434b5105396fac057
 SHA512 
28619e8e07265a8d983eccde28cc693b96ca5b94674ab0d512775a9c261f54baaa72e7bb8632b49b3715c2eb3626997cb967b5edb1b53672c6777493f0a46e50
+DIST debugpy-1.6.2.gh.tar.gz 6684477 BLAKE2B 
ab1bdf394d3447ba347db149e5c4c36820df6df24c5d0984fe862419a490cea21b240322d76644bc9ebadbdf9a6d6c8709ae28452828d42b45d65edd2d2e58cb
 SHA512 
64ecd9f8290588358abcff538f2c68025f14efc38ac5b406f32cd40a580aab90e0b2f145de90ca81943872c70969d6294ac51b3151bc4e03f18370ddfbb9ac6c

diff --git a/dev-python/debugpy/debugpy-1.6.2.ebuild 
b/dev-python/debugpy/debugpy-1.6.2.ebuild
new file mode 100644
index 000000000000..87982f97e4bb
--- /dev/null
+++ b/dev-python/debugpy/debugpy-1.6.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="An implementation of the Debug Adapter Protocol for Python"
+HOMEPAGE="https://github.com/microsoft/debugpy/ 
https://pypi.org/project/debugpy/";
+SRC_URI="
+       https://github.com/microsoft/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+
+# This is completely broken
+RESTRICT="test"
+
+RDEPEND="dev-python/pydevd[${PYTHON_USEDEP}]"
+BDEPEND="test? ( dev-python/pytest-timeout[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.6.1-unbundle-pydevd.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Drop unnecessary and unrecognized option
+       # __main__.py: error: unrecognized arguments: -n8
+       # Do not timeout
+       sed -e '/addopts/d' -e '/timeout/d' -i pytest.ini || die
+
+       # Unbundle dev-python/pydevd
+       rm -r src/debugpy/_vendored tests/tests/test_vendoring.py || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to